API Reference
SIP 엔드포인트 목록
Authorization
BearerAuth AuthorizationBearer <token>
API Key를 Bearer 토큰으로 전달
In: header
Path Parameters
accountId*string
Query Parameters
page?integer
페이지 (0-based)
Default
0Range
0 <= valuepageSize?integer
Default
20Range
1 <= value <= 100status?string
필터 (지정 안 하면 deleted 제외 전체)
Value in
"active" | "disabled"Response Body
application/json
application/json
curl -X GET "https://example.com/v1/accounts/AC1a2b3c4d/sip-endpoints?page=0&pageSize=20&status=completed"{
"data": [
{
"id": "string",
"accountId": "string",
"name": "Acme 본사 트렁크",
"maxConcurrent": 50,
"status": "active",
"routes": [
{
"id": "string",
"endpointId": "string",
"uri": "sip:pbx.acme.com:5060",
"priority": 10,
"weight": 100,
"transport": "udp",
"status": "active",
"lastUsedAt": "2019-08-24T14:15:22Z",
"lastFailureAt": "2019-08-24T14:15:22Z",
"failureCount": 0,
"dateCreated": "2019-08-24T14:15:22Z",
"dateUpdated": "2019-08-24T14:15:22Z"
}
],
"dateCreated": "2019-08-24T14:15:22Z",
"dateUpdated": "2019-08-24T14:15:22Z"
}
],
"meta": {
"page": 0,
"pageSize": 0,
"total": 0
}
}{
"error": "string",
"code": "INVALID_PHONE_NUMBER"
}